- Qt 5.5
- Qt3D Module
- C++ Classes
- QAbstractTransform
- Qt 5.5.1 Reference Documentation

# QAbstractTransform Class

(Qt3D::QAbstractTransform)

Inherits: |
Inherited By: |

- List of all members, including inherited members

## Properties

- transformMatrix : const QMatrix4x4

## Public Functions

| QAbstractTransform(QObject * parent = Q_NULLPTR)
virtual QMatrix4x4 | transformMatrix() const = 0

## Signals

void | transformMatrixChanged()

## Property Documentation

### transformMatrix : const QMatrix4x4

Access functions:

virtual QMatrix4x4 | transformMatrix() const = 0

Notifier signal:

void | transformMatrixChanged()

## Member Function Documentation

### QAbstractTransform::QAbstractTransform(QObject * parent = Q_NULLPTR)